<?php
/***********************************************************
Makes important header stuff work.
Edit at your own risk.
***********************************************************/
/***********************************************************
* op_title_bar() - Title bar function (across top of browser window)
* @since 1.2
***********************************************************/
function op_title_bar() {
	global $post;
	if(is_single() || is_page()) $subtitle = get_post_meta($post->ID, 'Subtitle', $single = true);

	if(is_front_page()) : echo bloginfo('name'); echo ": "; echo bloginfo('description');
	elseif(is_404()) : _e('404 Not Found','structure');
	elseif(is_category()) : _e('Category:','structure'); wp_title('');
	elseif(is_tag()) : _e('Tag:','structure'); wp_title('');
	elseif(is_search()) : _e('Search Results','structure');
	elseif(is_archive()) : _e('Archives:','structure'); wp_title('');
	elseif(is_attachment()) : _e('Attachment:','structure'); wp_title('');
	else :
		echo wp_title('');
		if((is_single() || is_page()) && $subtitle !== '') echo ': ' . $subtitle;
	endif;
}
/***********************************************************
* op_page_id() - Page ID function
* @since 1.2
***********************************************************/
function op_page_id() {
	global $no_sidebar;

	if(is_page_template('no-sidebar.php')) : $blog_page_id = 'no-sidebar';
	elseif(is_home()) : $blog_page_id = 'home';
	else : $blog_page_id = 'content';
	endif;

	return $blog_page_id;
}
/***********************************************************
* op_get_page_id() - Displays the page ID
* @since 1.2
***********************************************************/
function op_get_page_id() {
	$page_id = op_page_id();
	echo $page_id;
}
/***********************************************************
* op_page_class() - Returns the page class
* @since 1.2
***********************************************************/
function op_page_class($sidebar_display = 'Right') {
	if(is_home()) : $page_class = 'home';
	elseif(is_attachment()) : $page_class = 'attachment';
	elseif(is_single()) : $page_class = 'single';
	elseif(is_page()) : $page_class = 'page';
	elseif (is_404()) : $page_class = 'error-404';
	elseif (is_category()) : $page_class = 'category';
	elseif(is_tag()) : $page_class = 'tag';
	elseif(is_search()) : $page_class = 'search';
	elseif(is_archive()) : $page_class = 'archive';
	endif;

	if($sidebar_display == false) $page_class = $page_class;
	elseif($sidebar_display == __('Right','structure')) $page_class .= ' left';
	else $page_class .= ' right';

	return $page_class;
}
/***********************************************************
* op_get_page_class() - Echos the page class
* @since 1.2
***********************************************************/
function op_get_page_class($sidebar_display = 'Right') {
	$page_class = op_page_class($sidebar_display);
	echo $page_class;
}
/***********************************************************
* op_sidebar_pos() - Gives class left/right to sidebar
* @since 1.2
***********************************************************/
function op_sidebar_pos() {
	global $op_sidebar_placement;
	if($op_sidebar_placement == __('None','structure')) : $op_sidebar = 'no-sidebar';
	elseif($op_sidebar_placement == __('Right','structure')) : $op_sidebar = 'right';
	elseif($op_sidebar_placement == __('Left','structure')) : $op_sidebar = 'left';
	else : $op_sidebar = 'right';
	endif;
	echo $op_sidebar;
}
?>