<?php
/************************************************
Edit at your own risk.
************************************************/
// Theme options
function structure_theme_settings() {

// Array of home sections to shorten code later
// Reuse and recycle for the good of the WP environment
	$home_sections_arr = array(
		__('None','structure'),
		__('Excerpts','structure'),
		__('Feature','structure'),
		__('Full Posts','structure'),
		__('Post Block Tabs','structure'),
		__('Post List Tabs','structure'),
		__('Post Tabs','structure'),
		__('Widget Blocks','structure'),
		__('Custom 1','structure'),
		__('Custom 2','structure'),
		__('Custom 3','structure')
	);
	$home_arr_val = array_values($home_sections_arr);

// Get choices of tags/categories from the config file
// Users must manually set this for now
	$op_section_tab = choose_tab_type();
	if($op_section_tab == __('Tags','structure')) $all_arr = op_all_tag_names();
	elseif($op_section_tab == __('Authors','structure'))
		$all_arr = op_all_authors();
	else
		$all_arr = op_all_cats();

// Options array
	$themename = __('Structure Theme','structure');
	$shortname = "st";
	$options = array (
	// Home page layout options
		array("name" => __('Home Section 1','structure'),
			"id" => $shortname."_home_1",
			"std" => __('Excerpts','structure'),
			"type" => "select",
			"options" => $home_sections_arr),
		array("name" => __('Home Section 2','structure'),
			"id" => $shortname."_home_2",
			"std" => __('None','structure'),
			"type" => "select",
			"options" => $home_sections_arr),
		array("name" => __('Home Section 3','structure'),
			"id" => $shortname."_home_3",
			"std" => __('None','structure'),
			"type" => "select",
			"options" => $home_sections_arr),
	// Sidebar placement
		array("name" => __('Sidebar Placement','structure'),
			"id" => $shortname."_sidebar_placement",
			"std" => __('Right','structure'),
			"type" => "select",
			"options" => array(__('Right','structure'),__('Left','structure'))),
	// Feed URLs and placement
		array("name" => __('Feed URL','structure'),
			"id" => $shortname."_feed_url",
			"std" => "",
			"type" => "text"),
		array("name" => __('Feed By Email URL','structure'),
			"id" => $shortname."_feed_email",
			"std" => "",
			"type" => "text"),
	// Categories for any of the category options
		array("name" => __('Tab/Section 1','structure'),
			"id" => $shortname."_cat_1",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 2','structure'),
			"id" => $shortname."_cat_2",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 3','structure'),
			"id" => $shortname."_cat_3",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 4','structure'),
			"id" => $shortname."_cat_4",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 5','structure'),
			"id" => $shortname."_cat_5",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 6','structure'),
			"id" => $shortname."_cat_6",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 7','structure'),
			"id" => $shortname."_cat_7",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr),
		array("name" => __('Tab/Section 8','structure'),
			"id" => $shortname."_cat_8",
			"std" => $all_arr['none'],
			"type" => "select",
			"options" => $all_arr)
	);
	$structure_theme_settings = array('theme_name' => $themename, 'short_name' => $shortname, 'options' => $options);
	return $structure_theme_settings;
}
?>