<?php
/***********************************************************
This file makes many things in the theme work.
I suggest not editing it.
***********************************************************/

/***********************************************************
* op_author_id() - Returns author ID by nicename
* @since 1.2
***********************************************************/
function op_author_id($author_name) {
	$curauth = get_userdatabylogin($author_name);
	$author_id = $curauth->ID;
	return $author_id;
}
/***********************************************************
* op_author_nicename() - Returns author nicename (do I need this?)
* @since 1.2
***********************************************************/
function op_author_nicename($author_name) {
	$curauth = get_userdatabylogin($author_name);
	$nicer = $curauth->user_nicename;
	return $nicer;
}
/***********************************************************
* op_author_display_name() - Returns author display name by nicename
* @since 1.2
***********************************************************/
function op_author_display_name($author_name) {
	$curauth = get_userdatabylogin($author_name);
	$display = $curauth->display_name;
	return $display;
}
/***********************************************************
* op_all_cats() - Gets an array of the available categories
* @since 1.2
***********************************************************/
function op_all_cats() {
	$all_cats = get_all_category_ids();
	foreach($all_cats as $key => $value) {
		$all_cats[$key] = get_cat_name($all_cats[$key]);
	}
	$all_cats['none'] = false;
	return $all_cats;
}
/***********************************************************
* op_all_tags() - Gets an array of the available tags
* @since 1.2
***********************************************************/
function op_all_tags() {
	$all_tags = wp_tag_cloud('number=0&format=array');
	foreach($all_tags as $key => $value) {
		$value = strip_tags(stripslashes($value));
		$value = strtolower($value);
		$value = str_replace("&nbsp;", "-", $value);
		$all_tags[$key] = $value;
	}
	$all_tags['none'] = false;
	return $all_tags;
}
/***********************************************************
* op_all_tag_names() - Gets an array of the available tags names
* @since 1.2
***********************************************************/
function op_all_tag_names() {
	$all_tags = wp_tag_cloud('number=0&format=array');
	foreach($all_tags as $key => $value) {
		$value = strip_tags(stripslashes($value));
		$value = str_replace("&nbsp;", " ", $value);
		$all_tags[$key] = $value;
	}
	$all_tags['none'] = false;
	return $all_tags;
}
/***********************************************************
* op_all_authors()  - Gets an array of the available authors
* @since 1.2
***********************************************************/
function op_all_authors() {
	global $wpdb, $table_prefix;
	$order = 'user_nicename';
	$user_ids = $wpdb->get_col("SELECT ID FROM $wpdb->users ORDER BY $order");
	foreach($user_ids as $user_id) :
		$user = get_userdata($user_id);
		$level = $table_prefix . 'user_level';
		$user->user_level = $user->$level;
		// $role = $table_prefix . 'capabilities';
		// $user->role = array_keys($user->$role);
		// $user->role = $user->role[0];
		//if($user->user_level > 0) $all_authors[$user_id] = $user->display_name;
		if($user->user_level > 0) $all_authors[$user_id] = $user->user_login;
	endforeach;
	$all_authors['none'] = false;
	return $all_authors;
}
/***********************************************************
* op_all_authors_ids()  - Gets an array of the available author IDs
* @since 1.2
***********************************************************/
//Gets an array of the available authors 
function op_all_authors_ids() {
	global $wpdb, $table_prefix;
	$order = 'user_nicename';
	$user_ids = $wpdb->get_col("SELECT ID FROM $wpdb->users ORDER BY $order");
	foreach($user_ids as $user_id) :
		$user = get_userdata($user_id);
		$level = $table_prefix . 'user_level';
		$user->user_level = $user->$level;
		if($user->user_level > 0) $all_authors[$user_id] = $user->ID;
	endforeach;
	$all_authors['none'] = false;
	return $all_authors;
}
/***********************************************************
* limit_content()  - Shows a small excerpt w/read more link
* @since 1.2
***********************************************************/
function limit_content($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
	if(is_numeric($max_char) && $max_char > 1) :
		$max_char = (int)$max_char;
		$title = get_the_title();
		$title = apply_filters('the_title', $title);
		$title = strip_tags($title);
		$title = strlen($title);
		$max_char = $max_char - $title;
		$content = get_the_content($more_link_text, $stripteaser, $more_file);
		$content = apply_filters('the_content', $content);
		$content = str_replace(']]>', ']]&gt;', $content);
		$content = strip_tags($content);
		$char = $content;
		if((strlen($char)>$max_char) && ($espacio = strpos($char, " ", $max_char ))) {
			$content = substr($content, 0, $espacio); $content = $content;
			echo "<p class='read-more'>"; echo $content; echo "..."; echo "&nbsp;<a href='"; the_permalink();
			echo "' title='"; the_title(); echo "'>".$more_link_text."</a>"; echo "</p>";
		}
		elseif(strlen($_GET['p']) > 0) {
			echo "<p class='read-more'>"; echo $content; echo "&nbsp;<a href='"; the_permalink(); echo "'title='"; the_title(); echo "'>".__('Read More &raquo;','structure')."</a>"; echo "</p>";
		}
		else {
			echo "<p class='read-more'>"; echo $content; echo "&nbsp;<a href='"; the_permalink();
			echo "' title='"; the_title(); echo "'>".__('Read More &raquo;','structure')."</a>"; echo "</p>";
		}
	endif;
}
?>