<?php
function widget_op_video($args, $widget_args = 1) {
	extract($args, EXTR_SKIP);
	if(is_numeric($widget_args)) $widget_args = array('number' => $widget_args);
	$widget_args = wp_parse_args($widget_args, array( 'number' => -1 ));
	extract($widget_args, EXTR_SKIP);
	$options = get_option('widget_op_video');
	if(!isset($options[$number])) return;

	$t1 = $options[$number]['t1'];
	$t2 = $options[$number]['t2'];
	$t3 = $options[$number]['t3'];
	$t4 = $options[$number]['t4'];
	$section_header = $t1; $cat_name = $t2; $tag_name = $t3; $non_post_video = $t4;
	$posts_wanted = 1;
	$custom_fields_display = true;
	$custom_fields = array('Video');

	echo "<div class='menu video v1'>\n";
		if($section_header == true && $section_header !== '') echo "<h2 class='section-header'>$section_header</h2>\n";
		echo "<div>\n";
	if($non_post_video == true) :
		echo "<div class='v1 video-sidebar'>\n";
		// Display custom fields
			echo get_the_video(false, $non_post_video);
		echo "</div>\n";
	else :
	// Query the posts for latest video article title
		rewind_posts();
		if($cat_name == true) :
			$cat_id = get_cat_ID($cat_name);
			query_posts("cat=$cat_id&showposts=$posts_wanted");
		elseif($tag_name == true) :
			query_posts("tag=$tag_name&showposts=$posts_wanted");
		endif;
		// Loop through the posts
			while (have_posts()) : the_post();
			echo "<div class='v1 video-sidebar'>\n";
		// Display the video
			echo get_the_video(array('Video'));
		echo "</div> <!-- video-sidebar -->\n";
		echo '<h3 class="post-title"><a href="'; the_permalink(); echo '" title="'; the_title(); echo '">'; the_title(); echo '</a></h3>';
			endwhile; wp_reset_query();
	endif;
	echo "</div></div>\n";
}

function widget_op_video_control($widget_args) {
	global $wp_registered_widgets;
	static $updated = false;
	if(is_numeric($widget_args))
		$widget_args = array('number' => $widget_args);
	$widget_args = wp_parse_args( $widget_args, array('number' => -1 ));
	extract( $widget_args, EXTR_SKIP );

	$options = get_option('widget_op_video');
	if(!is_array($options))
		$options = array();
	if(!$updated && !empty($_POST['sidebar'])) {
		$sidebar = (string) $_POST['sidebar'];
		$sidebars_widgets = wp_get_sidebars_widgets();
		if(isset($sidebars_widgets[$sidebar]))
			$this_sidebar =& $sidebars_widgets[$sidebar];
		else
			$this_sidebar = array();
		foreach($this_sidebar as $_widget_id) {
			if('widget_op_video' == $wp_registered_widgets[$_widget_id]['callback'] && isset($wp_registered_widgets[$_widget_id]['params'][0]['number'])) {
				$widget_number = $wp_registered_widgets[$_widget_id]['params'][0]['number'];
				unset($options[$widget_number]);
			}
		}
		foreach((array) $_POST['widget-op-video'] as $widget_number => $widget_video) {
			$t1 = strip_tags(stripslashes($widget_video['t1']));
			$t2 = strip_tags(stripslashes($widget_video['t2']));
			$t3 = strip_tags(stripslashes($widget_video['t3']));
			$t4 = strip_tags(stripslashes($widget_video['t4']));
			$options[$widget_number] = compact( 't1','t2','t3','t4' );
		}
		update_option('widget_op_video', $options);
		$updated = true;
	}
	if(-1 == $number) {
		$t1 = '';
		$t2 = '';
		$t3 = '';
		$t4 = '';
		$number = '%i%';
	} else {
		$t1 = attribute_escape($options[$number]['t1']);
		$t2 = attribute_escape($options[$number]['t2']);
		$t3 = attribute_escape($options[$number]['t3']);
		$t4 = attribute_escape($options[$number]['t4']);
	}
?>
	<p><label for="video-t1-<?php echo "$number"; ?>"><?php _e('Title:','structure'); ?>
	<input id="video-t1-<?php echo "$number"; ?>" name="widget-op-video[<?php echo $number; ?>][t1]" type="text" value="<?php echo $t1; ?>" style="width:100%;" /></label></p>
	<p><?php _e('Category (Overrides tag):','structure'); ?>
	<select id="video-t2-<?php echo $number; ?>" name="widget-op-video[<?php echo $number; ?>][t2]" class="widefat">
	<?php $all_cats = op_all_cats();
		foreach($all_cats as $cat) :
			echo '<option '; if($cat == $t2) echo ' selected="selected" '; echo 'label="'.$cat.'">'.$cat.'</option>';
		endforeach;
	?></select></p>
	<p><?php _e('Tag:','structure'); ?>
	<select id="video-t3-<?php echo $number; ?>" name="widget-op-video[<?php echo $number; ?>][t3]" class="widefat">
	<?php $all_tags = op_all_tags();
		foreach($all_tags as $tag) :
			echo '<option '; if($tag == $t3) echo ' selected="selected" '; echo 'label="'.$tag.'">'.$tag.'</option>';
		endforeach;
	?></select></p>
	<p><label for="video-t4-<?php echo "$number"; ?>"><?php _e('Non-posted video (Overrides category and tag):','structure'); ?>
	<input id="video-t4-<?php echo "$number"; ?>" name="widget-op-video[<?php echo $number; ?>][t4]" type="text" value="<?php echo $t4; ?>" style="width:100%;" /></label></p>

	<p>
	<input type="hidden" id="video-submit-<?php echo $number; ?>" name="video-submit-<?php echo $number; ?>" value="1" />
	</p>
<?php
}
/***********************************************************
	Register video widget
***********************************************************/
function widget_op_video_register() {
// Check for the required API functions
	if (!function_exists('wp_register_sidebar_widget') || !function_exists('wp_register_widget_control'))
		return;
	if(!$options = get_option('widget_op_video'))
		$options = array();
	$widget_ops = array('classname' => 'widget_op_video', 'description' => __('Embed a single video or display your latest video post.','structure'));
	$control_ops = array('width' => 200, 'height' => 350, 'id_base' => 'video');
	$name = __('Video','structure');
	$id = false;
	foreach(array_keys($options) as $o) {
		// Old widgets can have null values for some reason
		if(!isset($options[$o]['t1']) || !isset($options[$o]['t2']) || !isset($options[$o]['t3']) || !isset($options[$o]['t4']))
			continue;
		$id = "video-$o"; // Never never never translate an id
		wp_register_sidebar_widget($id, $name, 'widget_op_video', $widget_ops, array('number' => $o));
		wp_register_widget_control($id, $name, 'widget_op_video_control', $control_ops, array('number' => $o));
	}
// If there are none, we register the widget's existance with a generic template
	if(!$id) {
		wp_register_sidebar_widget('video-1', $name, 'widget_op_video', $widget_ops, array('number' => -1));
		wp_register_widget_control('video-1', $name, 'widget_op_video_control', $control_ops, array('number' => -1));
	}
}
?>